Loading...
Searching...
No Matches
Opm::FaultCollection Class Reference

## Public Member Functions

| FaultCollection (const GRIDSection &gridSection, const GridDims &grid)
size_t | size () const
bool | hasFault (const std::string &faultName) const
Fault & | getFault (const std::string &faultName)
const Fault & | getFault (const std::string &faultName) const
Fault & | getFault (size_t faultIndex)
const Fault & | getFault (size_t faultIndex) const
std::vector< std::string > | getFaults (const std::string &pattern) const
void | addFault (const std::string &faultName)
| we construct the fault based on faultName. To get the fault: getFault
void | setTransMult (const std::string &faultName, double transMult)
bool | operator== (const FaultCollection &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static FaultCollection | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Grid/FaultCollection.hpp
- opm/input/eclipse/EclipseState/Grid/FaultCollection.cpp